tigase.vhosts

## Enum DomainFilterPolicy

- java.lang.Object
- - java.lang.Enum<DomainFilterPolicy>
  - - tigase.vhosts.DomainFilterPolicy

- All Implemented Interfaces:
    Serializable, Comparable<DomainFilterPolicy>

      public enum DomainFilterPolicy
      extends Enum<DomainFilterPolicy>

  Author:
    kobit

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `BLOCK`
    `LIST`
    `LOCAL`
    `OWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DomainFilterPolicy` | `valueof(String domains)` Method description
    `static DomainFilterPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DomainFilterPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `static String[]` | `valuesStr()` Method description

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final DomainFilterPolicy ALL

    - #### LOCAL

          public static final DomainFilterPolicy LOCAL

    - #### OWN

          public static final DomainFilterPolicy OWN

    - #### BLOCK

          public static final DomainFilterPolicy BLOCK

    - #### LIST

          public static final DomainFilterPolicy LIST

  - ### Method Detail

    - #### values

          public static DomainFilterPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DomainFilterPolicy c : DomainFilterPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DomainFilterPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueof

          public static DomainFilterPolicy valueof(String domains)

      Method description
      Parameters:
        `domains` -
      Returns:

    - #### valuesStr

          public static String[] valuesStr()

      Method description
      Returns:

Copyright © 2013 Tigase. All rights reserved.